Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.relaxng.datatype.helpers
Class DatatypeLibraryLoader

    java.lang.Object
      org.relaxng.datatype.helpers.DatatypeLibraryLoader

All Implemented Interfaces:
  DatatypeLibraryFactory

    public class DatatypeLibraryLoader

extends java.lang.Object
implements DatatypeLibraryFactory

Discovers the datatype library implementation from the classpath.

The call of the createDatatypeLibrary method finds an implementation from a given datatype library URI at run-time.

Constructor Summary
`DatatypeLibraryLoader()`

Method Summary
`DatatypeLibrary` | `createDatatypeLibrary(java.lang.String uri)` Creates a new instance of a DatatypeLibrary that supports the specified namespace URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatatypeLibraryLoader

    public DatatypeLibraryLoader()

Method Detail

### createDatatypeLibrary

    public DatatypeLibrary createDatatypeLibrary(java.lang.String uri)

  Description copied from interface: `DatatypeLibraryFactory`
  Creates a new instance of a DatatypeLibrary that supports the specified namespace URI.

  Specified by:
    `createDatatypeLibrary` in interface `DatatypeLibraryFactory`
  Returns:
    `null` if the specified namespace URI is not supported.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD